#ifndef _ERROR_RESPONSE_H
#define _ERROR_RESPONSE_H

#include "ps5/http_response.h"

class error_response : public http_response {
    // An "error_response" represents one of the possible error conditions
    // that can be returned by a server. Its content-type is "text/html".
public:
    error_response(int error_code, string message);

    // overridden methods
    virtual int code();
    virtual void body(ostream &o);
    virtual bool body_length(int &len);
protected:
    int error_code;
    string error_message;
};

#endif /* _ERROR_RESPONSE_H */
